## param_directdel

### Use

You delete the specified parameter from the database parameter file.

This change only becomes effective the next time the database instance is restarted.

Be very careful when using this DBM command as it accesses the database instance parameter file directly. The system does check that the changes made are in accordance with the rules and overwrites invalid values when the database instance is next restarted with the values from the default parameter file. However, this does not happen for the parameters RUNDIRECTORY and KERNELVERSION, or for any volume parameters. If you delete these parameters, this can lead to severe inconsistencies during database operation.

See also:

Concepts of the Database System, Database Parameters

### Prerequisites

You have the server authorization ParamFull.

### Syntax

param_directdel <parameter_name> [<comment>]

Options

Option | Description
<parameter_name> | Name of database parameter
<comment> | Comment saved for the database parameter. If the comment line contains spaces, you need to put the line in double quotation marks.

### Reply

OK

In the event of errors, see Reply Format.